Subject: Re: [PATCH 08/10] net: ax88796: Make reset more robust on AX88796B

From: Andrew Lunn <[email-masked]>
Date: Tue, 17 Apr 2018 03:32:25 +0200

> > This should really be fixed in the PHY driver, not the MAC.
> 
> OK - do you want this separate, or as part of this series? Might have
> a few side effects on more commonly used hardware, perhaps?

Hi Michael

What PHY driver is used? In the driver you can implement a .soft_reset
function which first does the dummy write, and then uses
genphy_soft_reset() to do the actual reset.

     Andrew